Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.index
Enum TermsEnum.SeekStatus

    java.lang.Object
      java.lang.Enum<TermsEnum.SeekStatus>
          org.apache.lucene.index.TermsEnum.SeekStatus

All Implemented Interfaces:
  Serializable, Comparable<TermsEnum.SeekStatus>

Enclosing class:
  TermsEnum

    public static enum TermsEnum.SeekStatus

extends Enum<TermsEnum.SeekStatus>

Represents returned result from `TermsEnum.seekCeil(org.apache.lucene.util.BytesRef, boolean)`.

Enum Constant Summary
`END` The term was not found, and the end of iteration was hit.
`FOUND` The precise term was found.
`NOT_FOUND` A different term was found after the requested term

Method Summary
`static TermsEnum.SeekStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TermsEnum.SeekStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### END

    public static final TermsEnum.SeekStatus END

  The term was not found, and the end of iteration was hit.

### FOUND

    public static final TermsEnum.SeekStatus FOUND

  The precise term was found.

### NOT_FOUND

    public static final TermsEnum.SeekStatus NOT_FOUND

  A different term was found after the requested term

Method Detail

### values

    public static TermsEnum.SeekStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TermsEnum.SeekStatus c : TermsEnum.SeekStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TermsEnum.SeekStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.